liblensfun-dev_0.2.8-2_amd64.deb


Advertisement

Description

liblensfun-dev - Lens Correction library - Development files

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name liblensfun-dev
Package version 0.2.8
Package release 2
Package architecture amd64
Package type deb
Installed size 142 B
Download size 25.74 KB
Official Mirror ftp.br.debian.org
Lensfun is an opensource database of photographic lenses and their
characteristics. It contains three kinds of objects:
* mounts
* cameras
* lenses
It is used in various photo-related software in which it allows the
correction of various artifacts:
* distortion
* transveral (also known as lateral) chromatic aberrations
* vignetting
* colour contribution of the lens (correcting said "yellowish" or "blueish"
images)
It provides a way to read and search for specific things in the database.
This package contains the development files.

Alternatives

Package Version Architecture Repository
liblensfun-dev_0.2.8-2_i386.deb 0.2.8 i386 Debian Main
liblensfun-dev - - -

Requires

Name Value
liblensfun0 = 0.2.8-2

Download

Type URL
Binary Package liblensfun-dev_0.2.8-2_amd64.deb
Source Package lensfun

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblensfun-dev deb package:
    # sudo apt-get install liblensfun-dev

Files

Path
/usr/include/lensfun/lensfun.h
/usr/lib/liblensfun.so
/usr/lib/pkgconfig/lensfun.pc
/usr/share/doc/liblensfun-dev/changelog.Debian.gz
/usr/share/doc/liblensfun-dev/copyright

Changelog

2014-09-08 - Pino Toscano <pino@debian.org>
lensfun (0.2.8-2) unstable; urgency=medium
* Team upload.
* The project moved from Berlios to Sourceforce, so:
- update Homepage to http://lensfun.sourceforge.net
- update watch file to look on sf.net
* Add Vcs-* headers.
* Simplify/improve/sort .install files.
* Do not build the documentation on arch-only builds:
- move the doxygen build dependency to Build-Depends-Indep
- explicitly disable the documentation build (i.e. pass -DBUILD_DOC=OFF
to cmake) when not producing -doc packages
* Add the pkg-config build dependency.
* Bump the priority to optional, since it is used by other "optional"
sources.
2013-11-09 - Mark Purcell <msp@debian.org>
lensfun (0.2.8-1) unstable; urgency=low
* New upstream release
* Add --parallel
* Add -DDOCDIR="/usr/share/doc/liblensfun-doc/html"
* Add +docs/adobe-lens-profile.txt
* Bump shlibs - dh_makeshlibs -V 'liblensfun0 (>= 0.2.8)'
* Bump Standards-Version: 3.9.5 - no further changes
2013-05-12 - Mark Purcell <msp@debian.org>
lensfun (0.2.7-3) unstable; urgency=low
[Andreas Metzler]
* Bump shlibs. Closes: #722406
2013-05-12 - Mark Purcell <msp@debian.org>
lensfun (0.2.7-2) unstable; urgency=low
* Upload to unstable
2013-03-09 - Mark Purcell <msp@debian.org>
lensfun (0.2.7-1) experimental; urgency=low
* New upstream release
- Fixes "new upstream version" (Closes: #679113)
- Fixes "FTBFS with libpng 1.5" (Closes: #648130)
* Update debian/watch - Thanks Bart
* Fixed "Build-Depends on libpng-dev" (Closes: #662391)
* Switch to cmake - Thanks yofel@kubuntu.org 
* debian/compat -> 9
2013-02-25 - Philip Muškovac <yofel@kubuntu.org>
lensfun (0.2.7-0ubuntu1) raring; urgency=low
* New upstream release (LP: #1084730)
* Switch to new cmake based buildsystem as the old one doesn't create
a properly versioned library anymore and is deprecated
- Add build-dep on cmake
- Drop buil-dep on autotools-dev
* Port package from cdbs to dh7 style rules 
- Build-Depend on debhelper >= 7.0.50~
- Drop build-dep on cdbs
- rewrite rules to use dh instead of cdbs
into the right path again
* Add ubuntu_build_docs.diff so the documentation is built and installed
* Update liblensfun-doc.install as the documentation is now installed into
the right location right away
* Switch to source format 3.0 (quilt) for quilt support
2012-01-22 - Mark Purcell <msp@debian.org>
lensfun (0.2.5-2) unstable; urgency=low
* Drop symbol support (Closes: #589048) 
* Fix "liblensfun packages seem to miss some documentation" 
missing dir added to liblensfun-doc.install (Closes: #617547)
2010-07-14 - Mark Purcell <msp@debian.org>
lensfun (0.2.5-1) experimental; urgency=low
* New upstream release (Closes: #576230)
- Upload to experimental whilst we investigate symbols
* disable --vectorization= while we workout howto cross platform
2009-10-26 - Mark Purcell <msp@debian.org>
lensfun (0.2.4-1) unstable; urgency=low
* New upstream release
[ Didier Raboud ]
* In debian/control, write a new common description for the binary packages
(Closes: #522168)
[ Stefan Potyra ] 
* Add 10-makedep-fix-ftbfs patch to fix FTBFS.
* Add 20-enum-sentinel patch to have g++-4.4 not remove the otherwise
unreachable code handling out-of-bounds enum values via the
c-wrapper functions. LP: #433368.
[ Pascal de Bruijn ]
* Drop all previous lensfun database patches.
* Add 90-lensfun-db-update-rel-to-svn65 patch, to update the lensfun 
database to revision 65 of lensfun svn.
* Add 91-lensfun-db-update-svn65-to-pmjdebruijn patch, to update the
lensfun database from revision 65 to pmjdebruijn's local tree.
[ Mark Purcell ]
* Update debian/watch
* Drop debian/patches & dpatch as included upstream 0.2.4

See Also

Package Description
liblensfun-doc_0.2.8-2_all.deb Lens Correction library - Documentation
liblensfun0_0.2.8-2_amd64.deb Lens Correction library - Runtime files
liblept4_1.71-2.1+b2_amd64.deb image processing library
libleptonica-dev_1.71-2.1+b2_amd64.deb image processing library
libleveldb-cil-dev_1.9.1-1_all.deb portable C# binding for the C API of the LevelDB library - development files
libleveldb-dev_1.17-1_amd64.deb fast key-value storage library (development files)
libleveldb1.2-cil_1.9.1-1_all.deb portable C# binding for the C API of the LevelDB library
libleveldb1_1.17-1_amd64.deb fast key-value storage library
liblexical-failure-perl_0.000006-1_all.deb Perl module for user-selectable lexically-scoped failure signaling
liblexical-persistence-perl_1.022-1_all.deb module for accessing persistent data through lexical variables
liblexical-sealrequirehints-perl_0.007-1+b2_amd64.deb Perl module to prevent the leakage of lexical hints
liblexical-underscore-perl_0.003-1_all.deb access your caller's lexical underscore
liblexical-var-perl_0.009-1+b1_amd64.deb Perl module for using static variables without namespace pollution
liblfc-dev_1.8.7-3.1+b1_amd64.deb LFC development libraries and header files
liblfc-perl_1.8.7-3.1+b1_amd64.deb LCG File Catalog (LFC) perl bindings
Advertisement
Advertisement